> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bunny.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Video resolutions info



## OpenAPI

````yaml https://video.bunnycdn.com/openapi/bunnynet-video-api.public.json get /library/{libraryId}/videos/{videoId}/resolutions
openapi: 3.0.0
info:
  title: Stream API
  termsOfService: https://bunny.net/tos
  contact:
    name: bunny.net
    url: https://docs.bunny.net
    email: support@bunny.net
  version: 1.5.5
servers:
  - url: https://video.bunnycdn.com
security: []
tags:
  - name: Manage Collections
  - name: Manage Videos
paths:
  /library/{libraryId}/videos/{videoId}/resolutions:
    get:
      tags:
        - Manage Videos
      summary: Video resolutions info
      operationId: Video_GetVideoResolutions
      parameters:
        - name: libraryId
          in: path
          required: true
          schema:
            type: integer
            format: int64
          x-position: 1
        - name: videoId
          in: path
          required: true
          schema:
            type: string
          x-position: 2
      responses:
        '200':
          description: The resolutions info.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusModelOfVideoResolutionsInfoModel'
        '401':
          description: The request authentication failed
        '404':
          description: The requested video was not found
        '500':
          description: Internal Server Error
      security:
        - AccessKey: []
components:
  schemas:
    StatusModelOfVideoResolutionsInfoModel:
      allOf:
        - $ref: '#/components/schemas/StatusModel'
        - type: object
          additionalProperties: false
          properties:
            data:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/VideoResolutionsInfoModel'
    StatusModel:
      type: object
      additionalProperties: false
      properties:
        success:
          type: boolean
          description: Determines if the request was successful
        message:
          type: string
          description: Response message description
          nullable: true
        statusCode:
          type: integer
          description: The response status code
          format: int32
    VideoResolutionsInfoModel:
      type: object
      additionalProperties: false
      properties:
        videoId:
          type: string
          nullable: true
        videoLibraryId:
          type: integer
          format: int64
        availableResolutions:
          type: array
          nullable: true
          items:
            type: string
        configuredResolutions:
          type: array
          nullable: true
          items:
            type: string
        playlistResolutions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ResolutionReference'
        storageResolutions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ResolutionReference'
        mp4Resolutions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/ResolutionReference'
        storageObjects:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/StorageObjectModel'
        oldResolutions:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/StorageObjectModel'
        hasBothOldAndNewResolutionFormat:
          type: boolean
        hasOriginal:
          type: boolean
    ResolutionReference:
      type: object
      additionalProperties: false
      properties:
        resolution:
          type: string
          nullable: true
        path:
          type: string
          nullable: true
    StorageObjectModel:
      type: object
      additionalProperties: false
      properties:
        guid:
          type: string
          nullable: true
        storageZoneName:
          type: string
          nullable: true
        path:
          type: string
          nullable: true
        objectName:
          type: string
          nullable: true
        length:
          type: integer
          format: int64
        lastChanged:
          type: string
          format: date-time
        serverId:
          type: integer
          format: int32
        isDirectory:
          type: boolean
        userId:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        dateCreated:
          type: string
          format: date-time
        storageZoneId:
          type: integer
          format: int64
        checksum:
          type: string
          nullable: true
        replicatedZones:
          type: string
          nullable: true
  securitySchemes:
    AccessKey:
      type: apiKey
      description: AccessKey based authentication
      name: AccessKey
      in: header

````